﻿@model WebAppLibrary.Models.DAO.Book

@{
    ViewData["Title"] = "Create";
}

<h1>Create</h1>

<h4>Book</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Title" class="control-label"></label>
                <input asp-for="Title" class="form-control" />
                <span asp-validation-for="Title" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="PublicationYear" class="control-label"></label>
                <input asp-for="PublicationYear" class="form-control" />
                <span asp-validation-for="PublicationYear" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label class="control-label" asp-for="Author"></label>
                <select class="form-select" asp-for="Author.Id" asp-items="ViewBag.AuthorsList"></select>
                <span class="text-danger" asp-validation-for="Author.Id"></span>
            </div>
            <div class="form-group">
                <label class="form-label" asp-for="Genre"></label>
                <select class="form-select" asp-for="Genre.Id" asp-items="ViewBag.GenresList"></select>
                <span class="text-danger" asp-validation-for="Genre.Id"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
